<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".AboutActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginEnd="8dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imageView2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:contentDescription="Logo"
                app:srcCompat="@mipmap/ic_launcher" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <TextView
                android:id="@+id/aboutLabel"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutLabel"
                android:textAlignment="center"
                android:textAppearance="@android:style/TextAppearance.Material.Medium"
                android:textStyle="bold" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <TextView
                android:id="@+id/aboutText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutText"
                android:textAlignment="textStart"
                android:textSize="16sp" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/gitlabUrl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autoLink="web"
                android:linksClickable="true"
                android:text="@string/aboutGitUrl"
                android:textAlignment="center"
                android:textSize="16sp"
                android:textStyle="bold" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="20dp" />

            <TextView
                android:id="@+id/aboutLabel2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutStatus"
                android:textAppearance="@android:style/TextAppearance.Material.Small" />

            <TextView
                android:id="@+id/gnuUrl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autoLink="web"
                android:linksClickable="true"
                android:text="@string/aboutGnuUrl"
                android:textAlignment="center"
                android:textSize="16sp"
                android:textStyle="bold" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <TextView
                android:id="@+id/aboutLabel3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutInstance"
                android:textAlignment="center"
                android:textAppearance="@android:style/TextAppearance.Material.Medium"
                android:textStyle="bold" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="20dp" />

            <TextView
                android:id="@+id/aboutText2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutInWeb"
                android:textAlignment="textStart"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/aboutUrl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autoLink="web"
                android:linksClickable="true"
                android:textAlignment="center"
                android:textSize="16sp"
                android:textStyle="bold" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <TextView
                android:id="@+id/aboutText3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/aboutLicense"
                android:textAlignment="textStart"
                android:textSize="16sp" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>